package com.ruoyi.ss.transactionBill.domain.dto;

import com.ruoyi.common.constants.DictTypeConstants;
import com.ruoyi.system.valid.DictValid;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 提现审核DTO
 * @author wjh
 * 2024/7/27
 */
@Data
public class WithdrawApprovalDTO {

    @ApiModelProperty("订单ID")
    @NotNull(message = "订单ID不能为空")
    private Long billId;

    @ApiModelProperty("审核意见")
    private String remark;

    @ApiModelProperty("打款方式")
    @NotBlank(message = "打款方式不能为空")
    @DictValid(type = DictTypeConstants.WITHDRAW_TYPE, message = "非法的打款方式")
    private String withdrawType;

    @ApiModelProperty("支付凭证")
    private String payPicture;
}

